#include "mostrar_lib.hpp"

void main()
{
	bicotiImageImplementation3DArray<int> ima(0,4,4,4);

	ima.SetPixel(0,0,0,5);
	ima.SetPixel(1,0,0,3);
	ima.SetPixel(2,0,0,2);
	ima.SetPixel(3,0,0,9);

	ima.SetPixel(0,1,0,21);
	ima.SetPixel(1,1,0,49);
	ima.SetPixel(2,1,0,13);
	ima.SetPixel(3,1,0,0);

	ima.SetPixel(0,2,0,4);
	ima.SetPixel(1,2,0,1);
	ima.SetPixel(2,2,0,7);
	ima.SetPixel(3,2,0,10);

	ima.SetPixel(0,3,0,19);
	ima.SetPixel(1,3,0,50);
	ima.SetPixel(2,3,0,12);
	ima.SetPixel(3,3,0,11);
//---------------------------

	ima.SetPixel(0,0,1,51);
	ima.SetPixel(1,0,1,63);
	ima.SetPixel(2,0,1,80);
	ima.SetPixel(3,0,1,99);

	ima.SetPixel(0,1,1,37);
	ima.SetPixel(1,1,1,47);
	ima.SetPixel(2,1,1,57);
	ima.SetPixel(3,1,1,67);

	ima.SetPixel(0,2,1,14);
	ima.SetPixel(1,2,1,20);
	ima.SetPixel(2,2,1,22);
	ima.SetPixel(3,2,1,16);

	ima.SetPixel(0,3,1,23);
	ima.SetPixel(1,3,1,15);
	ima.SetPixel(2,3,1,18);
	ima.SetPixel(3,3,1,25);

//-------------------------------

	ima.SetPixel(0,0,2,35);
	ima.SetPixel(1,0,2,39);
	ima.SetPixel(2,0,2,41);
	ima.SetPixel(3,0,2,90);

	ima.SetPixel(0,1,2,24);
	ima.SetPixel(1,1,2,30);
	ima.SetPixel(2,1,2,27);
	ima.SetPixel(3,1,2,81);

	ima.SetPixel(0,2,2,33);
	ima.SetPixel(1,2,2,73);
	ima.SetPixel(2,2,2,77);
	ima.SetPixel(3,2,2,93);

	ima.SetPixel(0,3,2,100);
	ima.SetPixel(1,3,2,26);
	ima.SetPixel(2,3,2,29);
	ima.SetPixel(3,3,2,31);

//--------------------------------

	ima.SetPixel(0,0,3,71);
	ima.SetPixel(1,0,3,107);
	ima.SetPixel(2,0,3,74);
	ima.SetPixel(3,0,3,121);

	ima.SetPixel(0,1,3,61);
	ima.SetPixel(1,1,3,115);
	ima.SetPixel(2,1,3,53);
	ima.SetPixel(3,1,3,114);

	ima.SetPixel(0,2,3,55);
	ima.SetPixel(1,2,3,36);
	ima.SetPixel(2,2,3,101);
	ima.SetPixel(3,2,3,113);

	ima.SetPixel(0,3,3,68);
	ima.SetPixel(1,3,3,112);
	ima.SetPixel(2,3,3,32);
	ima.SetPixel(3,3,3,105);

	bicotiImageIterator3DArray<int> iter( &ima);

	bicotiImageBorderStrategy3DX0<int>  border_x0(1,0);
	bicotiImageBorderStrategy3DX1<int>  border_x1(0,1);
	bicotiImageBorderStrategy3DX2<int>  border_x2(0,0);

	border_x0.UseIterator( &iter);
	border_x1.UseIterator( &iter);
	border_x2.UseIterator( &iter);

	iter.UseBorderStrategyX0( border_x0 );
	iter.UseBorderStrategyX1( border_x1 );
	iter.UseBorderStrategyX2( border_x2 );

	for( iter.Locate(0,0,0); !iter.IsDone(); iter.X0Increment(1) )
		cout << *iter << '\t' << endl;

};