/* 
   El ejemplo consiste en una rotacion de centro (100,100),(columnas,filas) y  
   angulo 45 grados antihorario. 
   
   Leo de disco una imagen unsigned char( grises ) y la cargo en ima1. 
   Muestro en pantalla la imagen 
   Construyo la fachada de geometrical desde la fachada de imagen. 
   Construyo una transformacion afin. 
   Construyo la rotacion dando el angulo. 
   Seteo el centro de rotacion; uso interpolador de lagrange. 
   Aplico la transformacion afin( donde la rotacion es un caso particular). 
   Muestro resultado en pantalla. 
   Destruyo la fachada de geometrical.  
*/

#define IMAGE_2D_ARRAY_CHAR
#include "../mostrar_lib.hpp"

typedef bicotiImage2DArrayChar ImaT; 
typedef ImaT::Implementation ImpT;

void main() 
{    
  ImaT ima1; 
  LeerImagen( ima1.GetImplementation(), "../Pictures/foto.bmp" ); 
  ima1.BuildGeometrical(); 
  MostrarImagen( ima1.GetImplementation() ); 
  ( ima1.GetGeometrical() )->BuildAffimTransformation(); 
  bicotiCoordinate2D< REAL > centro(100,100); 
  ( ima1.GetGeometrical() )->RotationCenter() = centro; 
  ( ima1.GetGeometrical() )->BuildRotation( pi/4 ); 
  ( ima1.GetGeometrical() )->UsePixelInterpolatorLinear();       
  ( ima1.GetGeometrical() )->ApplyAffimTransformation( true ); 
  MostrarImagen( (ImpT*) ima1.GetGeometrical()->GetResult() ); 
   
  ima1.DestroyGeometrical(); 
} 

