// ---- Ejemplo de copia entre imagenes 2D de distinto tipo ---- 

#include "../mostrar_lib.hpp" 
typedef int PixT1;
typedef float PixT2;
typedef bicotiImageImplementation2DArray<int> ImaT1;
typedef bicotiImageImplementation2DArray<float> ImaT2;
 
main() 
{ 
  const PixT1 def_pix_1 = 0; 
  const PixT2 def_pix_2 = 0; 
  const unsigned def_x1 = 5; 
  const unsigned def_x2 = 4; 
 
  bicotiImageImplementation< PixT1 > * ptr_ima1; 
  bicotiImageImplementation< PixT2 > * ptr_ima2; 
 
  ptr_ima1 = new ImaT1( def_pix_1, def_x1, def_x2 ); 
  ptr_ima2 = new ImaT2( def_pix_2, def_x1, def_x2 ); 
 
  LeerImagen( ptr_ima1,"../Pictures/foto.bmp" ); 
  LeerImagen( ptr_ima2,"../Pictures/foto.bmp" ); 
 
  MostrarImagen( (ImaT1 *)ptr_ima1 ); 
  MostrarImagen( (ImaT2 *)ptr_ima2 ); 
   
  // Multiplico la segunda por 0.7
  bicotiOperatorUnaryFacade<REAL> oper(ptr_ima2); 
  oper.Product(0.7); 
 
  MostrarImagen( (ImaT2 *)ptr_ima2 ); 
 
  // Paso el destino por referencia y el origen no
  Copy( &ptr_ima1, ptr_ima2 ); 
  // copia 2 sobre 1
 
  MostrarImagen((ImaT1 *)ptr_ima1); 
  MostrarImagen((ImaT2 *)ptr_ima2); 
 
  delete ptr_ima1; 
  delete ptr_ima2; 
} 
