//---Ejemplo de Histogramas Usando la fachada de property------ 
#include "../mostrar_lib.hpp"  
 
typedef int ColorT; 
typedef ColorT PixelT; 
typedef bicotiCoordinate2D< INTEGER > CoordT;
          
void main()  
{ 
  bicotiImageImplementation2D<PixelT> * ptr_ima; 
  ptr_ima = new bicotiImageImplementation2DArray<PixelT>(0,0,0); 

  LeerImagen( ptr_ima, "../Pictures/foto.bmp" ); 
  
  MostrarImagen( ptr_ima ); 

  bicotiPropertyFacadeSingle< CoordT, ColorT > prop(ptr_ima); 
  prop.BuildHistogramExtended(); 
    
  bicotiPropertyHistogram< ColorT, PixelT > * ptr_histo; 
  ptr_histo = prop.GetHistogram(); 
 
  MostrarHisto(ptr_histo); 
  
  prop.EqualizateHistogramUniform(); 
 
  MostrarImagen( ptr_ima ); 
  MostrarHisto(ptr_histo); 
 
  delete ptr_ima; 
}  
 
