#ifndef _load_interface
#define _load_interface

#include <source/actor/actor.hpp>
#include "basic_settings.hpp"

class LoadInterface : public bicotiListenerField
{
private:
  bicotiActorGraphic2DField * ptr_field;
  bicotiActorGraphic2DPanel * ptr_panel;
  
  static const int field_width = 200;
  static const int field_height = 30;
  static const int panel_border = 10;

  CurrentImageType * ptr_local_image;

public:
  LoadInterface( CurrentImageType * );
  ~LoadInterface();

  void FieldReturnPressed( bicotiActor * );
  void FieldTextChanged( bicotiActor * );

  void SetVisible();
};


#endif
