#include "cruz.hpp"


Cruz :: Cruz( int X, int Y, char * nombre ) : CurrentCruzType :: Actor( CurrentCruzType :: Pixel( 0, 0, 0 ), lado, lado, 1, vectorial, nombre )
{ 
  CurrentCruzType :: Pixel local_pixel( 0, 0, 0 );
    
  if( !strcmp( nombre, "cruz" ) )
    local_pixel.Green() = 255;
  else
    local_pixel.Red() = 255;
  
  for( int i = 0; i < lado; i++ )
    {SetPixel( ((int)(lado/2)), i, local_pixel );
    SetPixel( i, ((int)(lado/2)), local_pixel );}
  
  SetFixedSize( lado, lado );
  Move( X, Y );
}


void Cruz :: Move( int X, int Y )
{
  SetPosition( X - ((int)(lado/2)), Y - ((int)(lado/2)) );
}


int Cruz :: CentroX()
{
  return( GetX() + ((int)(lado/2)) );
}


int Cruz :: CentroY()
{
  return( GetY() + ((int)(lado/2)) );
}


