#include <coordinate.hpp>


/* Ejemplo de uso de coordenadas vectoriales estticas en bicoti. */


void main()
{
  cout << endl << endl;
  cout << "_________________________________________________________________" << endl;
  cout << " Las coordenadas vectoriales estticas pueden crearse " << endl;
  cout << "con componentes de cualquier tipo." << endl;
  cout << " En la declaracin hay que fijar la dimensin de la coordenada." << endl << endl;;
  cout << "\t  bicotiCoodinateVectorialStatic< int , 2 > coord1;" << endl;
  cout << "\t  bicotiCoodinateVectorialStatic< float , 3 > coord2;" << endl << endl;
  cout << " coord1 es una coordenada de enteros con dos componentes" << endl;
  cout << " coord2 por su parte es una coordenada de flotantes con tres componentes" << endl << endl;

  bicotiCoordinateVectorialStatic< int , 2 > coord1;
  bicotiCoordinateVectorialStatic< float , 3 > coord2;

  cout << " En el siguiente caso creamos coord3 con los mismos valores de coord1." << endl;
  cout << " Para ello usamos el constructor de copia." << endl << endl;
  cout << "\t bicotiCoodinateVectorialStatic< int , 2 > coord3( coord1 );" << endl << endl;

  bicotiCoordinateVectorialStatic< int , 2 > coord3( coord1 );

  cout << "\t bicotiCoodinateVectorialStatic< float , 3 > coord4;" << endl << endl;

  bicotiCoordinateVectorialStatic< float , 3 > coord4;

  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();

  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  
  cout << " El operador de asigancin copia todos los componentes." << endl;
  cout << "\t coord4 = coord2;" << endl << endl;

  coord4 = coord2;

  cout << " Cabe aclarar que todos los operadores de coordenada funcionan entre" << endl;
  cout << "objetos del mismo tipo. El tipo en este caso incluye la dimensin." << endl << endl;

  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();
  
  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " La nica forma de acceder a las componentes es usando la interface" << endl;
  cout << "estndar de las coordenadas." << endl << endl;

  cout << "\t coord2( 0 ) = 1;" << endl;
  cout << "\t coord2( 1 ) = 2;" << endl;
  cout << "\t coord2( 2 ) = -1;" << endl << endl;
  
  coord2( 0 ) = 1;
  coord2( 1 ) = 2;
  coord2( 2 ) = -1;

  cout << ">> coord2 = ( " << coord2( 0 ) << " , " << coord2( 1 ) << " , " << coord2( 2 ) << " )" << endl << endl;

  cout << "\t coord3( 0 ) = 0;" << endl;
  cout << "\t coord3( 1 ) = 3;" << endl << endl;
  
  coord3( 0 ) = 0;
  coord3( 1 ) = 3;
  
  cout << ">> coord3 = ( " << coord3( 0 ) << " , " << coord3( 1 ) << " )" << endl << endl;

  cout << " Como siempre es posible consultar la dimensin de una coordenada." << endl << endl;
  cout << "\t cout << \"La dimensin de coord3 es \" << coord3.GetDimension() << endl;" << endl << endl;
  cout << ">> La dimensin de coord3 es " << coord3.GetDimension() << endl << endl;

  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();

  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " Es posible usar todos los operadores como en 2D, 3D o Dinmicas." << endl;
  cout << " Tanto las dimensiones como el tipo de componente deben coincidir" << endl << endl;
};
