#include <source/actor/actor_graphic_2D_label.hpp>


//------------------bicotiActor2DLabel--------------------
bicotiActorGraphic2DLabel :: bicotiActorGraphic2DLabel( char * act_name ) : bicotiActorGraphic2D( act_name )
{
  actor_case = actor_label;
  has_frame = false;
}


bicotiActorGraphic2DLabel :: ~bicotiActorGraphic2DLabel()
{}


void bicotiActorGraphic2DLabel :: SetText( const char * ptr_text )
{
  ptr_label_text = ptr_text; 
  if ( ptr_homologous != NULL )
    ((bicotiHomologousGraphic2DLabel*)ptr_homologous)->SetText(ptr_text);
}

void bicotiActorGraphic2DLabel ::SetFrame( bool h_frame )
{
  has_frame = h_frame;
  if ( ptr_homologous != NULL ) 
    ((bicotiHomologousGraphic2DLabel*)ptr_homologous)->SetFrame( has_frame );
}

bool bicotiActorGraphic2DLabel ::GetFrame()
{
  return has_frame;
}

//----------------bicotiHomologous2DLabel-----------------
bicotiHomologousGraphic2DLabel :: ~bicotiHomologousGraphic2DLabel()
{}
