#include <source/actor/actor_graphic_2D_push_button.hpp>


//------------------bicotiActor2DPushButton--------------------
bicotiActorGraphic2DPushButton :: bicotiActorGraphic2DPushButton( char * act_name ) : bicotiActorGraphic2D( act_name )
{
  actor_case = actor_push_button;
}


bicotiActorGraphic2DPushButton :: ~bicotiActorGraphic2DPushButton()
{}



void bicotiActorGraphic2DPushButton :: Click()
{
  if ( ptr_homologous == NULL )
    FirePushButtonClicked( this );
  else 
    ((bicotiHomologousGraphic2DPushButton*)ptr_homologous)->Click();
}


void bicotiActorGraphic2DPushButton :: SetText( char * text )
{
  local_text = text;

  if ( ptr_homologous != NULL )
    ((bicotiHomologousGraphic2DPushButton*)ptr_homologous)->SetText( local_text );
}

char * bicotiActorGraphic2DPushButton :: GetText()
{
  return local_text;
}


//----------------bicotiHomologous2DPushButton-----------------
bicotiHomologousGraphic2DPushButton :: ~bicotiHomologousGraphic2DPushButton()
{}
