#include <source/event_loop_manager/concurrence_manager.hpp>
#include <pthread.h>


void * process_starter( void * bicoti_process )
{int res;

 res = pthread_setcancelstate(PTHREAD_CANCEL_ENABLE, NULL);
 if( res != 0 )
   {cout << "process_starter pthread_setcancelstate failure" << endl;
   // Disparar excepcin
   return( NULL );
   }

 res = pthread_setcanceltype(PTHREAD_CANCEL_DEFERRED, NULL);
 if( res != 0 )
   {cout << "process_starter pthread_setcanceltype failure" << endl;
   // Disparar excepcin
   return( NULL );
   }

 if( bicoti_process == NULL )
   {cout << "process_starter " << endl;
   // Disparar excepcin
   return( NULL );
   }

 bicotiEventLoopManager * proc = (bicotiEventLoopManager*)bicoti_process;
 proc->Start();
}


int bicotiConcurrenceManager::Start( bicotiEventLoopManager * proc )
{}

int bicotiConcurrenceManager::Stop( bicotiEventLoopManager * proc )
{}

