#ifndef _bicoti_homologous_qt_2D_push_button
#define _bicoti_homologous_qt_2D_push_button



#include <qpushbutton.h>
#include <source/actor/actor_graphic_2D_push_button.hpp>
#include <source/event_loop_manager/qt/homologous_qt_caster.hpp>


//-----------------bicotiQT2DPushButton------------------

/** Implementacin QT de bicotiHomologousGraphic2DPushButton */
class bicotiQT2DPushButton :  public QPushButton, public bicotiHomologousGraphic2DPushButton
{
  /**@#-*/
Q_OBJECT
/**@#+*/

private:

bool left_pressed_already;
  
  public /**@#-*/ slots /**@#+*/ :
  
  /** 
   * Slot: se ejecuta cuando se cliquea el botn 
 *
 */ 
  void Clicked();

public:
  
  /**
   * Constructor
   *
   *@param parent widget padre
   *@param name nombre del homlogo
   */
  bicotiQT2DPushButton( QWidget * parent=0, const char * name=0 );
  
  /** Destructor */
  ~bicotiQT2DPushButton();
  
  void Click();

  void SetText( char * );

  void MousePress( int, int, char );

  void MouseRelease( int, int, char );

#include <source/event_loop_manager/qt/homologous_qt_graphic.hpp>
#include <source/event_loop_manager/qt/homologous_qt_graphic_2D.hpp>
};


#endif
