#include <source/event_loop_manager/qt/homologous_qt_menu_bar.hpp>
#include <iostream.h>


//-----------------bicotiQTMenuBar------------------
bicotiQTMenuBar :: bicotiQTMenuBar( QWidget * parent, const char * name ) : QMenuBar( parent, name )
{
  hide();
  ptr_actor = NULL;
  connect( this, SIGNAL(activated( int )), this, SLOT(Selected( int )) );
  setSeparator( QMenuBar::InWindowsStyle );
}


bicotiQTMenuBar :: ~bicotiQTMenuBar()
{
  recreate( NULL, 0, QPoint( x(), y() ) , false );
}


void bicotiQTMenuBar :: Selected( int id )
{
  bicotiActorGraphicMenu * ptr_local_actor = ((bicotiActorGraphicMenu*)ptr_actor);
  
  if( ptr_local_actor->CheckItem( id ) )
    ptr_local_actor->FireItemSelected( ptr_actor, ptr_local_actor->GetItem( id ) );
}



#define bicotiLocalTemplate
#define bicotiLocalClass bicotiQTMenuBar
#include <source/event_loop_manager/qt/homologous_qt_graphic.cpp>
#include <source/event_loop_manager/qt/homologous_qt_graphic_menu.cpp>
