###########################################################
#            Proyecto de fin de carrera BICOTI-II         #
#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
#             Instituto de Ingeniera Elctrica           #
#   Desarrollado por:                                     #
#                     Wilman Alarcon                      #
#                     Claudio Risso                       #
#                     Carlos Soderguit                    #
#   Director:                                             #
#                     Pablo Darscht                       #
#                                                         #
#   Asesoramiento en Tratamiento de Imgenes:             #
#                     Alicia Fernandez                    #
#                     Gregory Randall                     #
#                                                         #
###########################################################

CONFIG_FILE=../../../config.mk

ifndef CALL_FROM_PARENT
	include $(CONFIG_FILE)
	export CALL_FROM_PARENT = 1
endif

##### LOCAL SETTINGS ####
#QT_INCLUDES=-I/usr/lib/qt-1.44/include -I/usr/X11/include
#QT_MACROS=-pipe -fno-strength-reduce -DQT_CLEAN_NAMESPACE
#QT_LIB_PATHS=-L/usr/lib -L/usr/X11R6/lib
#QT_LIBS=-lqt -lX11 -lXext
QT_MOC=/usr/lib/qt-1.44/bin/moc

##### BASIC SETTINGS ####
LOCAL_INCLUDES=$(INCLUDES) 
LOCAL_COMPILE=$(COMPILE) 

##### GLOBAL SETTINGS ###
#LIB_PATHS=$(LIB_PATHS) $(QT_LIB_PATHS)
#LIBS=$(LIBS) $(QT_LIBS)


##### COMPILLING SECTION ####
ALLFILES= $(OBJ_TARG)homologous_qt_2D_panel.o $(OBJ_TARG)homologous_qt_2D_push_button.o \
	$(OBJ_TARG)homologous_qt_2D_label.o $(OBJ_TARG)moc_homologous_qt_2D_push_button.o \
	$(OBJ_TARG)actor_image_2D_char_qt.o $(OBJ_TARG)actor_image_2D_rgb_char_qt.o \
	$(OBJ_TARG)actor_image_2D_double_qt.o $(OBJ_TARG)actor_image_2D_rgb_float_qt.o \
	$(OBJ_TARG)actor_image_2D_hsv_int_qt.o $(OBJ_TARG)pixel_converter_qt.o \
	$(OBJ_TARG)homologous_qt_timer.o $(OBJ_TARG)moc_homologous_qt_timer.o \
	$(OBJ_TARG)homologous_qt_2D_field.o $(OBJ_TARG)moc_homologous_qt_2D_field.o \
	$(OBJ_TARG)homologous_qt_menu_bar.o $(OBJ_TARG)moc_homologous_qt_menu_bar.o \
	$(OBJ_TARG)homologous_qt_menu_popup.o $(OBJ_TARG)moc_homologous_qt_menu_popup.o \
	$(OBJ_TARG)homologous_qt_caster.o $(OBJ_TARG)homologous_qt_2D_file_dialog.o \
	$(OBJ_TARG)moc_homologous_qt_2D_file_dialog.o $(OBJ_TARG)event_loop_manager_qt.o \
	$(OBJ_TARG)homologous_qt_2D_scroll_bar.o $(OBJ_TARG)moc_homologous_qt_2D_scroll_bar.o

all: $(ALLFILES)


$(OBJ_TARG)homologous_qt_2D_push_button.o:homologous_qt_2D_push_button.cpp homologous_qt_graphic_2D.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_2D_push_button.o -c homologous_qt_2D_push_button.cpp

$(OBJ_TARG)homologous_qt_2D_file_dialog.o:homologous_qt_2D_file_dialog.cpp homologous_qt_graphic_2D.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_2D_file_dialog.o -c homologous_qt_2D_file_dialog.cpp

$(OBJ_TARG)homologous_qt_timer.o:homologous_qt_timer.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_timer.o -c homologous_qt_timer.cpp 

$(OBJ_TARG)homologous_qt_2D_panel.o:homologous_qt_2D_panel.cpp homologous_qt_graphic_2D.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_2D_panel.o -c homologous_qt_2D_panel.cpp 

$(OBJ_TARG)homologous_qt_2D_label.o:homologous_qt_2D_label.cpp homologous_qt_graphic_2D.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_2D_label.o -c homologous_qt_2D_label.cpp 

$(OBJ_TARG)homologous_qt_2D_field.o:homologous_qt_2D_field.cpp homologous_qt_graphic_2D.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_2D_field.o -c homologous_qt_2D_field.cpp 

$(OBJ_TARG)homologous_qt_menu_bar.o:homologous_qt_menu_bar.cpp homologous_qt_graphic_menu.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_menu_bar.o -c homologous_qt_menu_bar.cpp 

$(OBJ_TARG)homologous_qt_menu_popup.o:homologous_qt_menu_popup.cpp homologous_qt_graphic_menu.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_menu_popup.o -c homologous_qt_menu_popup.cpp 

$(OBJ_TARG)homologous_qt_2D_scroll_bar.o:homologous_qt_2D_scroll_bar.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_2D_scroll_bar.o -c homologous_qt_2D_scroll_bar.cpp 

$(OBJ_TARG)pixel_converter_qt.o:pixel_converter_qt.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)pixel_converter_qt.o -c pixel_converter_qt.cpp 

$(OBJ_TARG)actor_image_2D_char_qt.o: actor_image_2D_char_qt.cpp
	$(LOCAL_COMPILE) $(LOCAL_INCLUDES) -c actor_image_2D_char_qt.cpp -o $(OBJ_TARG)actor_image_2D_char_qt.o

$(OBJ_TARG)actor_image_2D_double_qt.o: actor_image_2D_double_qt.cpp
	$(LOCAL_COMPILE) $(LOCAL_INCLUDES) -c actor_image_2D_double_qt.cpp -o $(OBJ_TARG)actor_image_2D_double_qt.o

$(OBJ_TARG)actor_image_2D_rgb_float_qt.o: actor_image_2D_rgb_float_qt.cpp
	$(LOCAL_COMPILE) $(LOCAL_INCLUDES) -c actor_image_2D_rgb_float_qt.cpp -o $(OBJ_TARG)actor_image_2D_rgb_float_qt.o

$(OBJ_TARG)actor_image_2D_rgb_char_qt.o: actor_image_2D_rgb_char_qt.cpp
	$(LOCAL_COMPILE) $(LOCAL_INCLUDES) -c actor_image_2D_rgb_char_qt.cpp -o $(OBJ_TARG)actor_image_2D_rgb_char_qt.o

$(OBJ_TARG)actor_image_2D_hsv_int_qt.o: actor_image_2D_hsv_int_qt.cpp
	$(LOCAL_COMPILE) $(LOCAL_INCLUDES) -c actor_image_2D_hsv_int_qt.cpp -o $(OBJ_TARG)actor_image_2D_hsv_int_qt.o

$(OBJ_TARG)moc_homologous_qt_2D_push_button.o: moc_homologous_qt_2D_push_button.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)moc_homologous_qt_2D_push_button.o -c moc_homologous_qt_2D_push_button.cpp

$(OBJ_TARG)moc_homologous_qt_2D_file_dialog.o: moc_homologous_qt_2D_file_dialog.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)moc_homologous_qt_2D_file_dialog.o -c moc_homologous_qt_2D_file_dialog.cpp

$(OBJ_TARG)moc_homologous_qt_2D_field.o: moc_homologous_qt_2D_field.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)moc_homologous_qt_2D_field.o -c moc_homologous_qt_2D_field.cpp

$(OBJ_TARG)moc_homologous_qt_menu_bar.o: moc_homologous_qt_menu_bar.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)moc_homologous_qt_menu_bar.o -c moc_homologous_qt_menu_bar.cpp

$(OBJ_TARG)moc_homologous_qt_menu_popup.o: moc_homologous_qt_menu_popup.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)moc_homologous_qt_menu_popup.o -c moc_homologous_qt_menu_popup.cpp

$(OBJ_TARG)moc_homologous_qt_2D_scroll_bar.o: moc_homologous_qt_2D_scroll_bar.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)moc_homologous_qt_2D_scroll_bar.o -c moc_homologous_qt_2D_scroll_bar.cpp

$(OBJ_TARG)moc_homologous_qt_timer.o: moc_homologous_qt_timer.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)moc_homologous_qt_timer.o -c moc_homologous_qt_timer.cpp

$(OBJ_TARG)homologous_qt_caster.o: homologous_qt_caster.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)homologous_qt_caster.o -c homologous_qt_caster.cpp

$(OBJ_TARG)event_loop_manager_qt.o: event_loop_manager_qt.cpp
	$(LOCAL_COMPILE)  $(LOCAL_INCLUDES) -o $(OBJ_TARG)event_loop_manager_qt.o -c event_loop_manager_qt.cpp

moc_homologous_qt_2D_push_button.cpp: homologous_qt_2D_push_button.hpp
	$(QT_MOC)  homologous_qt_2D_push_button.hpp -o moc_homologous_qt_2D_push_button.cpp

moc_homologous_qt_2D_file_dialog.cpp: homologous_qt_2D_file_dialog.hpp
	$(QT_MOC)  homologous_qt_2D_file_dialog.hpp -o moc_homologous_qt_2D_file_dialog.cpp

moc_homologous_qt_2D_field.cpp: homologous_qt_2D_field.hpp
	$(QT_MOC)  homologous_qt_2D_field.hpp -o moc_homologous_qt_2D_field.cpp

moc_homologous_qt_menu_bar.cpp: homologous_qt_menu_bar.hpp homologous_qt_graphic_menu.hpp
	$(QT_MOC)  homologous_qt_menu_bar.hpp -o moc_homologous_qt_menu_bar.cpp

moc_homologous_qt_menu_popup.cpp: homologous_qt_menu_popup.hpp homologous_qt_graphic_menu.hpp
	$(QT_MOC)  homologous_qt_menu_popup.hpp -o moc_homologous_qt_menu_popup.cpp

moc_homologous_qt_2D_scroll_bar.cpp: homologous_qt_2D_scroll_bar.hpp
	$(QT_MOC)  homologous_qt_2D_scroll_bar.hpp -o moc_homologous_qt_2D_scroll_bar.cpp

moc_homologous_qt_timer.cpp: homologous_qt_timer.hpp
	$(QT_MOC)  homologous_qt_timer.hpp -o moc_homologous_qt_timer.cpp

actor_image_2D_char_qt.cpp: actor_image_2D_char_qt.hpp
	touch actor_image_2D_char_qt.cpp

actor_image_2D_double_qt.cpp: actor_image_2D_double_qt.hpp
	touch actor_image_2D_double_qt.cpp

actor_image_2D_rgb_char_qt.cpp: actor_image_2D_rgb_char_qt.hpp
	touch actor_image_2D_rgb_char_qt.cpp

actor_image_2D_rgb_float_qt.cpp: actor_image_2D_rgb_float_qt.hpp
	touch actor_image_2D_rgb_float_qt.cpp

actor_image_2D_hsv_int_qt.cpp: actor_image_2D_hsv_int_qt.hpp
	touch actor_image_2D_hsv_int_qt.cpp

homologous_qt_timer.cpp: homologous_qt_timer.hpp
	touch homologous_qt_timer.cpp

homologous_qt_2D_label.cpp: homologous_qt_2D_label.hpp homologous_qt_graphic.cpp
	touch homologous_qt_2D_label.cpp

homologous_qt_2D_field.cpp: homologous_qt_2D_field.hpp homologous_qt_graphic.cpp
	touch homologous_qt_2D_field.cpp

homologous_qt_menu_bar.cpp: homologous_qt_menu_bar.hpp homologous_qt_graphic.cpp homologous_qt_graphic_menu.cpp
	touch homologous_qt_menu_bar.cpp

homologous_qt_menu_popup.cpp: homologous_qt_menu_popup.hpp homologous_qt_graphic.cpp homologous_qt_graphic_menu.cpp
	touch homologous_qt_menu_popup.cpp

homologous_qt_2D_scroll_bar.cpp: homologous_qt_2D_scroll_bar.hpp homologous_qt_graphic.cpp homologous_qt_graphic_2D.cpp
	touch homologous_qt_2D_scroll_bar.cpp

homologous_qt_2D_panel.cpp: homologous_qt_2D_panel.hpp homologous_qt_graphic.cpp
	touch homologous_qt_2D_panel.cpp

homologous_qt_2D_push_button.cpp: homologous_qt_2D_push_button.hpp homologous_qt_graphic.cpp
	touch homologous_qt_2D_push_button.cpp

homologous_qt_2D_file_dialog.cpp: homologous_qt_2D_file_dialog.hpp homologous_qt_graphic.cpp
	touch homologous_qt_2D_file_dialog.cpp

homologous_qt_caster.cpp: homologous_qt_caster.hpp
	touch homologous_qt_caster.cpp

event_loop_manager_qt.cpp: event_loop_manager_qt.hpp
	touch event_loop_manager_qt.cpp

pixel_converter_qt.cpp: pixel_converter_qt.hpp
	touch pixel_converter_qt.cpp

homologous_qt_2D_label.hpp: homologous_qt_graphic.hpp homologous_qt_caster.hpp
	touch homologous_qt_2D_label.hpp

homologous_qt_2D_field.hpp: homologous_qt_graphic.hpp homologous_qt_caster.hpp
	touch homologous_qt_2D_field.hpp

homologous_qt_menu_bar.hpp: homologous_qt_graphic.hpp homologous_qt_graphic_menu.hpp homologous_qt_caster.hpp
	touch homologous_qt_menu_bar.hpp

homologous_qt_menu_popup.hpp: homologous_qt_graphic.hpp homologous_qt_graphic_menu.hpp homologous_qt_caster.hpp
	touch homologous_qt_menu_popup.hpp

homologous_qt_2D_scroll_bar.hpp: homologous_qt_graphic.hpp homologous_qt_graphic_2D.hpp homologous_qt_caster.hpp
	touch homologous_qt_2D_scroll_bar.hpp

homologous_qt_2D_panel.hpp: homologous_qt_graphic.hpp homologous_qt_caster.hpp
	touch homologous_qt_2D_panel.hpp

homologous_qt_2D_push_button.hpp: homologous_qt_graphic.hpp homologous_qt_caster.hpp
	touch homologous_qt_2D_push_button.hpp

homologous_qt_2D_file_dialog.hpp: homologous_qt_graphic.hpp homologous_qt_caster.hpp
	touch homologous_qt_2D_file_dialog.hpp

homologous_qt_2D_image.hpp: homologous_qt_graphic.hpp homologous_qt_caster.hpp
	touch homologous_qt_2D_image.hpp

clean:
	@for auxf in $(ALLFILES); do \
        rm -f $$auxf; \
        done; \
        rm -f *~ moc*     
