//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################


#ifndef _frame_3D 
#define _frame_3D 
 

 
#include <source/frame/frame_basic.hpp>

 
//*************************DECALARATIONS****************************  
//-------------------------bicotiFrame3D----------------------------
template< class PixelType > 
class bicotiFrame3D : public bicotiFrame< PixelType > 
{ 
protected: 
  int current_x1, current_x2, current_x3; 
 
public: 
  virtual ~bicotiFrame3D(){}; 
 
  virtual void First() = 0; 
  virtual void Next() = 0; 
   
  virtual PixelType& operator()( int, int, int ) = 0; 
}; 
 
 
 
#endif   
