//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################


#include <source/bicoti_basic.hpp>



#define NO_FACADES

#ifdef IMAGE_2D_ARRAY_CHAR
#include <source/image/image_2D_array_char.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_ARRAY_INT
#include <source/image/image_2D_array_int.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_ARRAY_FLOAT
#include <source/image/image_2D_array_float.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_ARRAY_DOUBLE
#include <source/image/image_2D_array_double.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_ARRAY_RGB_CHAR
#include <source/image/image_2D_array_rgb_char.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_ARRAY_RGB_FLOAT
#include <source/image/image_2D_array_rgb_float.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_ARRAY_HSV_INT
#include <source/image/image_2D_array_hsv_int.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_SPARSE_CHAR
#include <source/image/image_2D_sparse_char.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_SPARSE_FLOAT
#include <source/image/image_2D_sparse_float.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_2D_SPARSE_RGB_CHAR
#include <source/image/image_2D_sparse_rgb_char.hpp>
#endif

#ifdef IMAGE_2D_SPARSE_RGB_FLOAT
#include <source/image/image_2D_sparse_rgb_float.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_ARRAY_CHAR
#include <source/image/image_3D_array_char.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_ARRAY_FLOAT
#include <source/image/image_3D_array_float.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_ARRAY_RGB_CHAR
#include <source/image/image_3D_array_rgb_char.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_ARRAY_RGB_FLOAT
#include <source/image/image_3D_array_rgb_float.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_LINEAR_CHAR
#include <source/image/image_3D_linear_char.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_LINEAR_FLOAT
#include <source/image/image_3D_linear_float.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_LINEAR_RGB_CHAR
#include <source/image/image_3D_linear_rgb_char.hpp>
#undef NO_FACADES
#endif

#ifdef IMAGE_3D_LINEAR_RGB_FLOAT
#include <source/image/image_3D_linear_rgb_float.hpp>
#undef NO_FACADES
#endif

#ifdef NO_FACADES
#include <source/operator_unary/operator_unary.hpp>
#include <source/operator_multiple/operator_multiple.hpp>
#include <source/neighbour_filter/neighbour_filter.hpp>
#include <source/geometrical/geometrical.hpp>
#endif
