//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################




#ifndef _image_2D_array_rgb_float
#define _image_2D_array_rgb_float



#include <source/image/image_2D_vectorial.hpp>
#include <source/pixel/pixel_converter_rgba.hpp>



//**********************DECLARATIONS**************************
class bicotiImage2DArrayRGBFloat : public bicotiImage2DVectorial< bicotiImageImplementation2DArray< bicotiRGB< float > >, float, bicotiPixelConverterRGBFloat2RGBA, bicotiRGB< float >, bicotiRGB< float > >
{
public:
  bicotiImage2DArrayRGBFloat( unsigned, unsigned );
  bicotiImage2DArrayRGBFloat();
  ~bicotiImage2DArrayRGBFloat();

  void BuildImplementation( unsigned, unsigned );
  void BuildMapper();
};



#endif
