//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################




#ifndef _image_2D_sparse_char
#define _image_2D_sparse_char



#include <source/image/image_2D_single.hpp>
#include <source/pixel/pixel_converter_rgba.hpp>



//**********************DECLARATIONS**************************
class bicotiImage2DSparseChar : public bicotiImage2DSingle< bicotiImageImplementation2DSparse< unsigned char > , unsigned char, bicotiPixelConverterChar2RGBA >
{
public:
  bicotiImage2DSparseChar( unsigned, unsigned );
  bicotiImage2DSparseChar();
  ~bicotiImage2DSparseChar();

  void BuildImplementation( unsigned, unsigned );
  void BuildMapper();
};



#endif
