#include <source/image/image_2D_sparse_rgb_float.hpp>



//********************IMPLEMENTATIONS*************************
bicotiImage2DSparseRGBFloat :: bicotiImage2DSparseRGBFloat(unsigned x0_size, unsigned x1_size)
{
  ResetPointers();

  bicotiRGB< float > def_pix(0,0,0);

  ptr_implementation = new bicotiImageImplementation2DSparse< bicotiRGB< float > >( def_pix, x0_size, x1_size, 1, vectorial);
};


bicotiImage2DSparseRGBFloat :: bicotiImage2DSparseRGBFloat()
{
  ResetPointers();

  bicotiRGB< float > def_pix(0,0,0);

  ptr_implementation = new bicotiImageImplementation2DSparse< bicotiRGB< float > >( def_pix, 0, 0, 1, vectorial);
};


bicotiImage2DSparseRGBFloat :: ~bicotiImage2DSparseRGBFloat()
{
  DeleteMe();
};


void bicotiImage2DSparseRGBFloat :: BuildImplementation( unsigned x0_size, unsigned x1_size )
{
  DeleteMe();

  bicotiRGB< float > def_pix(0,0,0);
  
  ptr_implementation = new bicotiImageImplementation2DSparse< bicotiRGB< float > >( def_pix, x0_size, x1_size, 1, vectorial );
};


