//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################




#ifndef _image_2D_sparse_rgb_float
#define _image_2D_sparse_rgb_float



#include <source/image/image_2D_vectorial.hpp>



//**********************DECLARATIONS**************************
class bicotiImage2DSparseRGBFloat : public bicotiImage2DVectorial< bicotiImageImplementation2DSparse< bicotiRGB< float > >, float, bicotiRGB< float >, bicotiRGB< float > >
{
public:
  bicotiImage2DSparseRGBFloat( unsigned, unsigned );
  bicotiImage2DSparseRGBFloat();
  ~bicotiImage2DSparseRGBFloat();

  void BuildImplementation( unsigned, unsigned );
};


#endif
