#include <source/image/image_3D_array_char.hpp>



//********************IMPLEMENTATIONS*************************
bicotiImage3DArrayChar :: bicotiImage3DArrayChar(unsigned x0_size, unsigned x1_size, unsigned x2_size)
{
  ResetPointers();

  ptr_implementation = new bicotiImageImplementation3DArray< unsigned char >( 0, x0_size, x1_size, x2_size, 1, single);
};


bicotiImage3DArrayChar :: bicotiImage3DArrayChar()
{
  ResetPointers();

  ptr_implementation = new bicotiImageImplementation3DArray< unsigned char >( 0, 0, 0, 0, 1, single);
};


bicotiImage3DArrayChar :: ~bicotiImage3DArrayChar()
{
  DeleteMe();
};


void bicotiImage3DArrayChar :: BuildImplementation( unsigned x0_size, unsigned x1_size, unsigned x2_size )
{
  DeleteMe();
  
  ptr_implementation = new bicotiImageImplementation3DArray< unsigned char >( 0, x0_size, x1_size, x2_size, 1, single );
};
