//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################




#ifndef _image_3D_array_rgb_char
#define _image_3D_array_rgb_char



#include <source/image/image_3D_vectorial.hpp>



//**********************DECLARATIONS**************************
class bicotiImage3DArrayRGBChar : public bicotiImage3DVectorial< bicotiImageImplementation3DArray< bicotiRGB< unsigned char, REAL > >, unsigned char, bicotiRGB< unsigned char, REAL >, bicotiRGB< REAL, unsigned char >  >
{
public:
  bicotiImage3DArrayRGBChar( unsigned, unsigned, unsigned );
  bicotiImage3DArrayRGBChar();
  ~bicotiImage3DArrayRGBChar();

  void BuildImplementation( unsigned, unsigned, unsigned );
};





#endif
