#include <source/image/image_3D_linear_float.hpp>



//********************IMPLEMENTATIONS*************************
bicotiImage3DLinearFloat :: bicotiImage3DLinearFloat(unsigned x0_size, unsigned x1_size, unsigned x2_size )
{
  ResetPointers();
  
  ptr_implementation = new bicotiImageImplementation3DLinear< float >( 0, x0_size, x1_size, x2_size, 1, single );
};


bicotiImage3DLinearFloat :: bicotiImage3DLinearFloat()
{
  ResetPointers();

  ptr_implementation = new bicotiImageImplementation3DLinear< float >( 0, 0, 0, 0, 1, single );
};


bicotiImage3DLinearFloat :: ~bicotiImage3DLinearFloat()
{
  DeleteMe();
};


void bicotiImage3DLinearFloat :: BuildImplementation( unsigned x0_size, unsigned x1_size, unsigned x2_size )
{
  DeleteMe();

  ptr_implementation = new bicotiImageImplementation3DLinear< float >( 0, x0_size, x1_size, x2_size, 1, single );
};

