//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################




#ifndef _image_3D_linear_rgb_float
#define _image_3D_linear_rgb_float



#include <source/image/image_3D_vectorial.hpp>



//**********************DECLARATIONS**************************
class bicotiImage3DLinearRGBFloat : public bicotiImage3DVectorial< bicotiImageImplementation3DLinear< bicotiRGB< float > >, float, bicotiRGB< float >, bicotiRGB< float > >
{
public:
  bicotiImage3DLinearRGBFloat( unsigned, unsigned, unsigned );
  bicotiImage3DLinearRGBFloat();
  ~bicotiImage3DLinearRGBFloat();

  void BuildImplementation( unsigned, unsigned, unsigned );
};



#endif
