#ifndef _bicoti_mapper_tiff_sgi
#define _bicoti_mapper_tiff_sgi

#include <source/mapper/mapper_tiff.hpp>
// #include <stdio.h>

//----------------bicotiMapperJPEGIJG------------------

/**
 * Mapper tiff implementado sobre libtiff
 *
 * permite leer y escribier imagenes tiff
 */
template< class PixelType, class PixelConverter >
class bicotiMapperTIFFSGI: public bicotiMapperTIFF< PixelType >
{
public:
  bicotiMapperTIFFSGI();

  /** 
   * Lee una imagen tiff y la guarda en un bicotiImage */
  void Read();
 
  /** Escribe una imagen tiff a partir de una bicotiImage */
 void Write();
};


#endif
