//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################

#ifndef _properties_histogram_basic
#define _properties_histogram_basic


#include <source/property/property_basic.hpp>


//---------------DECLARATIONS-----------------
//-----------PropertyHistogram----------------
template< class ColorType, class PixelType = ColorType >
class bicotiPropertyHistogram : public bicotiProperty< PixelType >
{
public:
  virtual ~bicotiPropertyHistogram(){};

  virtual void UpdateImageImplementation()=0;

  virtual void First( unsigned = 0 )=0;
  virtual void Next( unsigned = 0 )=0;
  virtual ColorType GetCurrentColor( unsigned = 0 )=0;
  virtual unsigned GetCurrentPointsNumber( unsigned = 0 )=0;
  virtual bool IsDone( unsigned = 0 )=0;

  virtual unsigned GetHistogramsNumber()=0;
};



#endif
