/* 
   Este ejemplo comprime a la cuarta parte la imagen original. 
   
   Leo de disco una imagen RGB de unsigned char y la cargo en ima1. 
   Muestro en pantalla la imagen. 
   Construyo la fachada de geometrical desde la fachada de imagen. 
   Creo Matriz y Vector del la transformacion afin. 
   Construyo una transformacion afin. 
   Seteo a la fachada de geometrical Matrix, Vector; uso interpolador de lagrange. 
   Aplico la transformacion afin. 
   Muestro resultado en pantalla. 
   Destruyo la fachada de geometrical.   
*/

#define IMAGE_2D_ARRAY_RGB_CHAR
#include "../mostrar_lib.hpp" 
 
typedef bicotiImage2DArrayRGBChar ImaT; 
typedef ImaT::Implementation ImpT;

void main() 
{    
  ImaT ima1; 
  LeerImagenColor( ima1.GetImplementation(), "../Pictures/foto.bmp" ); 
  ima1.BuildGeometrical(); 
  MostrarImagenColor( ima1.GetImplementation() ); 
  
  bicotiMatrix2D< double > matri(0,2,2); 
  matri(0,0)= 1.5; 
  matri(1,1)= 1.5; 
  bicotiCoordinate2D< REAL > punti(0,0); 
  ( ima1.GetGeometrical() )->BuildAffimTransformation(); 
  ( ima1.GetGeometrical() )->Matrix()=matri; 
  ( ima1.GetGeometrical() )->Vector()=punti; 
  ( ima1.GetGeometrical() )->UsePixelInterpolatorLagrange();       
  ( ima1.GetGeometrical() )->ApplyAffimTransformation( true ); 
  MostrarImagenColor( (ImpT *)(ima1.GetGeometrical())->GetResult() ); 
  ima1.DestroyGeometrical(); 
} 

