#ifndef _panel
#define _panel

#include <source/actor/actor.hpp>
#include "basic_settings.hpp"
#include "load_interface.hpp"


class Panel : public bicotiListenerMenu, public bicotiListenerGeometry
{
private:
  bicotiActorGraphic2DPanel * ptr_panel;
  bicotiActorGraphicMenuPopup * ptr_file;
  bicotiActorGraphicMenuPopup * ptr_algorithms;
  bicotiActorGraphicMenuBar * ptr_menu;
  
  CurrentImageType * ptr_image;
  
  CurrentImageType :: EventLoopManager * ptr_app;
  LoadInterface * ptr_load_interface;

  static const int menu_height = 30;
  bool image_started;

public:
  Panel( CurrentImageType :: EventLoopManager * );
  ~Panel();
  
  void ItemSelected( bicotiActor * , char * );

  void ActorResized( bicotiActor *, const bicotiEventGeometry& );
  void ActorMoved( bicotiActor *, const bicotiEventGeometry& );
};


#endif
