//*****************************************************************
//* Este archivo contiene algunos funciones bsicas para setear y *
//* mostrar imagenes como matrices de nmeros                     *      
//*****************************************************************

#include <source/image_implementation/image_implementation.hpp>

// Pausa

void Pausa()
{
  cout<<"Presione una tecla para seguir";
  cin.get();
  cout<<endl;
};

// Funcin para mostrar una imagen 2D

template< class PixelType >
void Show( bicotiImageImplementation2DSimple< PixelType > * ptr_image , char * mensaje = "")
{
  unsigned fil,col;
  
  cout<<mensaje<<endl;
  for ( col = 0 ; col < ptr_image->GetX0Size() ; col++ )
    cout<<"--";
  cout<<endl;
  for ( fil = 0 ; fil < ptr_image->GetX1Size() ; fil++ )
    { for ( col = 0 ; col < ptr_image->GetX0Size() ; col++ )
      cout<<ptr_image->GetPixel( col , fil )<<" ";
    cout<<endl;}     
  for ( col = 0 ; col < ptr_image->GetX0Size() ; col++ )
    cout<<"--";
  cout<<endl;
};


// Funcin para setear valores aleatorios a una imagen 2D

template< class PixelType >
void SetRand( bicotiImageImplementation2DSimple< PixelType > * ptr_image , int modulo = 10)
{
  unsigned fil,col;
  
  for ( col = 0 ; col < ptr_image->GetX0Size() ; col++ )
    for ( fil = 0 ; fil < ptr_image->GetX1Size() ; fil++ )
      ptr_image->SetPixel( col , fil , (PixelType)(rand() % modulo) );
};



