#include <pixel.hpp>


/* Ejemplo de uso de operadores bsicos para pixeles RGB */


void main()
{
  cout << endl << endl;
  cout << "_________________________________________________________________" << endl;
  cout << " Los Pixeles RGB son estructuras 3D cuyos campos ( rojo, verde, azul )" << endl;
  cout << "pueden ser de cualquier tipo. En nuestro ejemplo sern enteros" << endl;
  cout << " Los valores de cada campo pueden pasarse en el constructor." << endl << endl;;
  cout << "\t  bicotiRGB< int > pixel1( 100, 0, 255 );" << endl;
  cout << "\t  bicotiRGB< int > pixel2( 0, 255, 150 );" << endl << endl;

  bicotiRGB< int > pixel1( 100, 0, 255 );
  bicotiRGB< int > pixel2( 0, 255, 150 );

  cout << " En el siguiente caso creamos pixel3 con los mismos valores de pixel1." << endl;
  cout << " Para ello usamos el constructor de copia." << endl << endl;
  cout << "\t  bicotiRGB< int > pixel3( pixel1 );" << endl << endl;

  bicotiRGB< int > pixel3( pixel1 );

  cout << " Tambien es posible no asignar los valores en el momento de la construccin." << endl;
  cout << " Este constructor por defecto setea los campos en cero." << endl << endl;
  cout << "\t  bicotiRGB< int > coord4;" << endl << endl;

  bicotiRGB< int > pixel4;

  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();
  
  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " Se puede acceder a las componentes del pixel usando las " << endl;
  cout << "funciones Red, Green o Blue." << endl << endl;
  cout << "\t cout << \"pixel1 = ( \" << pixel1.Red() << \" , \" << pixel1.Green() << \" , \" << pixel1.Blue() << \")\" << endl;" << endl << endl;
  
  cout << ">> pixel1 = ( " << pixel1.Red() << " , " << pixel1.Green() << " , " << pixel1.Blue() << " )" << endl << endl;
  
  cout << " Tambien es posible acceder usando la interface estndar de los pxeles." << endl;
  cout << " En este caso pixel1.Red() es equivalente a pixel1( 0 )." << endl;
  cout << " El comportamiento es anlogo al de las coordenadas." << endl << endl;

  cout << " En ciertos casos el nmero de colores puede no ser conocido a priori" << endl;
  cout << "y hemos incluido la funcion GetColorsNumber() para consultar por la misma." << endl << endl;
  cout << "\t cout << \"El nmero de colores de pixel3 es \" << pixel3.GetColorsNumber() << endl;" << endl << endl;
  cout << ">> El nmero de colores de pixel3 es " << pixel3.GetColorsNumber() << endl << endl;
  
  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();

  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " Podemos usar el operador de asignacin para cargar un pixel." << endl << endl;
  cout << "\t pixel4 = pixel2;" << endl << endl;

  pixel4 = pixel2;
  cout << ">> pixel4 = ( " << pixel4( 0 ) << " , " << pixel4( 1 ) << " , " << pixel4( 2 ) << " )" << endl << endl;
  
  cout << " Los operadores Red, Green y Blue son bidireccionales. Esto es, tambin sirven" << endl;
  cout << "para asignar valores a las componentes." << endl << endl;;
  cout << "\t pixel4.Red() = 0;" << endl;
  cout << "\t pixel4.Green() = -3;" << endl;
  cout << "\t pixel4.Blue() = 1;" << endl << endl;

  pixel4.Red() = 0;
  pixel4.Green() = -3;
  pixel4.Blue() = 1;

  cout << ">> pixel4 = ( " << pixel4( 0 ) << " , " << pixel4( 1 ) << " , " << pixel4( 2 ) << ")" << endl << endl;
  cout << " Lo mismo vale para el operator(). Esto es, lo anterior habria sido equivalente a" << endl << endl;
  cout << "\t pixel4( 0 ) = 0;" << endl;
  cout << "\t pixel4( 1 ) = -3;" << endl;
  cout << "\t pixel4( 2 ) = 1;" << endl << endl;

  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();

  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " Es posible sumar(restar, etc.) un double a un pixel." << endl;
  cout << " El efecto es sumar el double a todas los colores del pixel." << endl << endl;
  
  cout << "\t pixel1 = pixel2 + 1;" << endl << endl;
  pixel1 = pixel2 + 1;
  cout << ">> pixel2 = ( " << pixel2( 0 ) << " , " << pixel2( 1 ) << " , " << pixel2( 2 ) << " )" << endl;
  cout << ">> pixel1 = ( " << pixel1( 0 ) << " , " << pixel1( 1 ) << " , " << pixel1( 2 ) << " )" << endl << endl;

  cout << " Es posible sumar(restar, etc.) pixeles entre s." << endl;
  cout << " El efecto es sumar color a color." << endl << endl;
  
  cout << "\t pixel2 = pixel3 + pixel4;" << endl << endl;
  pixel2 = pixel3 + pixel4;
  cout << ">> pixel3 = ( " << pixel3( 0 ) << " , " << pixel3( 1 ) << " , " << pixel3( 2 ) << " )" << endl;
  cout << ">> pixel4 = ( " << pixel4( 0 ) << " , " << pixel4( 1 ) << " , " << pixel4( 2 ) << " )" << endl;
  cout << ">> pixel2 = ( " << pixel2( 0 ) << " , " << pixel2( 1 ) << " , " << pixel2( 2 ) << " )" << endl << endl;

  cout << " Tambin existen los operadores del tipo +=, *=, etc. tanto de pixeles" << endl;
  cout << "como de doubles." << endl << endl;
  
  cout << ">> pixel2 = ( " << pixel2( 0 ) << " , " << pixel2( 1 ) << " , " << pixel2( 2 ) << " )" << endl << endl;
  cout << "\t pixel2 += 2;" << endl << endl;
  pixel2 += 2;
  cout << ">> pixel2 = ( " << pixel2( 0 ) << " , " << pixel2( 1 ) << " , " << pixel2( 2 ) << " )" << endl << endl;

  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();

  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " Por ltimo, al igual que en las coordenadas, existen pixel vectoriales" << endl;
  cout << "tanto estticos como dinmicos." << endl;
  cout << " Un ejemplo de construccin de cada uno sera: " << endl << endl;

  cout << "\t bicotiPixelVectorialStatic< float , 2 > pixel_stat;" << endl;
  cout << "\t bicotiPixelVectorialDynamic< double > pixel_dinam( 3 );" << endl << endl;

  bicotiPixelVectorialStatic< float , 2 > pixel_stat;
  bicotiPixelVectorialDynamic< double > pixel_dinam( 3 );
  
  cout << " En el ejemplo, pixel_stat tiene dos colores tipo float y pixel_dinam" << endl;
  cout << "tiene tres colores de tipo double" << endl;
  cout << " Los operadores son exactamente iguales que en RGB as que nos los discutiremos." << endl << endl;
};
