#include <pixel.hpp>


/* Casting en pxeles */


void main()
{
  cout << endl << endl;
  cout << "_________________________________________________________________" << endl;
  cout << " Los pixeles son esencialmente un arreglo de colores de algun tipo." << endl;
  cout << " En algunos casos es necesario promover dicho tipo a uno mas amplio" << endl;
  cout << "con el fin de ganar precision al hacer cuentas. Por ejemplo si tenemos" << endl;
  cout << "un RGB de char, para hacer cuentas con buena precision seria deseable" << endl;
  cout << "poder convertirlo a RGB de dobles, hacer la cuenta y convertir el resultado" << endl;
  cout << "a RGB de char" << endl;
  cout << "Esto se logra definiendo el operador de casting entre un tipo y otro." << endl;
  cout << "Primero vamos a definir dos  pixeles : " << endl << endl;

  cout << "\t  bicotiRGB< char > pixel1( 100, 150, 150 );" << endl;
  cout << "\t  bicotiRGB< char > pixel2( 200, 106, 100 );" << endl << endl;

  bicotiRGB< unsigned char > pixel1( 100, 150, 150 );
  bicotiRGB< unsigned char > pixel2( 200, 106, 100 );
  
  cout << ">> pixel1 = ( " << (int)pixel1.Red() << " , " << (int)pixel1.Green() << " , " << (int)pixel1.Blue() << " )" << endl ;
  cout << ">> pixel2 = ( " << (int)pixel2.Red() << " , " << (int)pixel2.Green() << " , " << (int)pixel2.Blue() << " )" << endl << endl;
  
  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();

  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " Supongamos que queremos calcular el promedio de ambos pixeles" << endl;
  cout << "y guardar este resultado en pixel1. Una posible solucin es:" << endl << endl;
  cout << "\t pixel1 += pixel2;" << endl;
  cout << "\t pixel1 /= 2;" << endl << endl;

  pixel1 += pixel2;
  pixel1 /= 2;

  cout << " El resultado debera ser" << endl << endl;
  cout << ">> pixel1 = ( 150, 128, 125 );" << endl << endl;
  cout << " Sin embargo el valor de pixel1 es" << endl << endl;
  cout << ">> pixel1 = (" << (int)pixel1( 0 ) << " , " << (int)pixel1( 1 ) << " , " << (int)pixel1( 2 ) << " )" << endl << endl;
  cout << " Que ha sucedido?" << endl;
  cout << " El rango numrico permitido por el tipo de color unsigned char (0-255) ha" << endl;
  cout << "sido excedido en la suma dando un resultado erroneo." << endl << endl;

  cout << "PRESIONE ENTER PARA CONTINUAR" << endl;
  cin.get();

  cout << endl;
  cout << "_________________________________________________________________" << endl << endl;
  cout << " Nuestro equipo ha encontrado como solucin conveniente para el problema" << endl;
  cout << "usar un casting a un pixel de color ms amplio al usado por defecto." << endl << endl;
  cout << "\t bicotiRGB< unsigned char ,double > pixel3( 100, 150, 150 );" << endl;
  cout << "\t bicotiRGB< unsigned char ,double > pixel4( 200, 106, 100 );" << endl;
  cout << "\t bicotiRGB< double, unsigned char > pixel5;" << endl << endl;
  cout << " Hemos provisto en los pixeles una funcin de casting que permite" << endl;
  cout << "convertirlos a otro con los tipos permutados. De esta forma es posible" << endl;
  cout << "automticamente convertir de pixel3 o pixel4 a pixel5 y viceversa. Tener" << endl;
  cout << "en cuenta que en la suma, esta conversin se hace automticamente hacia" << endl;
  cout << "bicotiRGB< double, unsigned char > y por lo tanto no se exceden los rangos." << endl << endl;
  cout << "\t pixel5 = pixel3;" << endl;
  cout << "\t pixel5 += pixel4;" << endl;
  cout << "\t pixel5 /= 2;" << endl;
  cout << "\t pixel3 = pixel5" << endl << endl;
  
  bicotiRGB< unsigned char ,double > pixel3( 100, 150, 150 );
  bicotiRGB< unsigned char ,double > pixel4( 200, 106, 100 );
  bicotiRGB< double, unsigned char > pixel5;
  pixel5 = pixel3;
  pixel5 += pixel4;
  pixel5 /= 2;
  pixel3 = pixel5;
  
  
  cout << " El resultado en este caso es" << endl << endl;
  cout << ">> pixel3 = (" << (int)pixel3( 0 ) << " , " << (int)pixel3( 1 ) << " , " << (int)pixel3( 2 ) << " )" << endl << endl;
  cout << " Esta estrategia puede usarse tambin an cuando no se exceda rango alguno y " << endl;
  cout << "el problema sea directamente, la precisin en las cuentas intermedias." << endl << endl;
};
