#include <source/actor/actor_timer.hpp>


//------------------IMPLEMENTATIONS--------------------
//----------------bicotiActorTimer-------------------
bicotiActorTimer :: bicotiActorTimer( char * act_name ) : bicotiActor( act_name )
{  
  actor_type = _timer;
  actor_case = actor_timer;
  dimension_case = _none;
  period = 0; // 0 es infinito
}


bicotiActorTimer :: ~bicotiActorTimer()
{
}


void bicotiActorTimer :: DestroyHomologous()
{
  if( ptr_homologous != NULL )
    {delete ptr_homologous;
    ptr_homologous = NULL;}
}



void bicotiActorTimer :: SetPeriod( int per )
{
  period = per;

  if ( ptr_homologous != NULL )
    ((bicotiHomologousTimer*)ptr_homologous)->SetPeriod( period );
}


int bicotiActorTimer :: GetPeriod()
{
  return period;
}


//----------bicotiHomologousTimer-----------
bicotiHomologousTimer :: ~bicotiHomologousTimer()
{
}
