#include <source/actor/font.hpp>
#include <iostream.h>

bicotiFont :: bicotiFont( FontType ft, int sz, char st )
{
  font_type = ft;
  font_size = sz;
  font_style = st;
}


bicotiFont :: ~bicotiFont()
{
}


bicotiFont :: bicotiFont( const bicotiFont& font_src )
{
  font_type = font_src.font_type;
  font_size = font_src.font_size;
  font_style = font_src.font_style;
}


void bicotiFont :: operator=( const bicotiFont& font_src )
{
  font_type = font_src.font_type;
  font_size = font_src.font_size;
  font_style = font_src.font_style;
}


void bicotiFont :: SetType( FontType ft )
{
  font_type = ft;
}


FontType bicotiFont :: GetType()
{
  return font_type;
}


void bicotiFont :: SetSize( int sz )
{
  font_size = sz;
}


int bicotiFont :: GetSize()
{
  return font_size;
}


void bicotiFont :: SetStyle( char st )
{
  font_style = st;
}


char bicotiFont :: GetStyle()
{
  return font_style;
}

