#include <source/event_loop_manager/qt/homologous_qt_2D_label.hpp>


//-----------------bicotiQT2DLabel------------------
bicotiQT2DLabel :: bicotiQT2DLabel( QWidget * parent, const char * name ) : QLabel( parent, name )
{
  ptr_actor = NULL;
}

bicotiQT2DLabel :: ~bicotiQT2DLabel()
{
  recreate( NULL, 0, QPoint( x(), y() ) , false );
}

void bicotiQT2DLabel :: SetText( const char * ptr_text )
{
  setText(ptr_text);
}

void bicotiQT2DLabel :: SetFrame( bool h_frame )
{
  if ( h_frame ) setFrameStyle ( QFrame::Box|QFrame::Raised );
  else setFrameStyle( QFrame::NoFrame );
}

#define bicotiLocalTemplate
#define bicotiLocalClass bicotiQT2DLabel
#include <source/event_loop_manager/qt/homologous_qt_graphic.cpp>
#include <source/event_loop_manager/qt/homologous_qt_graphic_2D.cpp>
#include <source/event_loop_manager/qt/homologous_qt_graphic2.cpp>
