bicotiLocalTemplate
void bicotiLocalClass :: mouseMoveEvent( QMouseEvent * ptr_mouse )
{
  ((bicotiActorGraphic*)ptr_actor)->FireMouseMoved( ptr_actor, ptr_mouse->pos().x(), ptr_mouse->pos().y() );
}

bicotiLocalTemplate
void bicotiLocalClass :: mousePressEvent( QMouseEvent * ptr_mouse )
{
  char mask;
  switch ( ptr_mouse->button() )
    {case LeftButton:
      {mask = button_left;
      break;}
    case MidButton:
      {mask = button_middle;
      break;}
    case RightButton:
      {mask = button_right;
      break;}
    default: 
      mask = 0;}
  ((bicotiActorGraphic*)ptr_actor)->FireMousePressed( ptr_actor, ptr_mouse->pos().x(), ptr_mouse->pos().y(), mask );
}

bicotiLocalTemplate
void bicotiLocalClass :: mouseReleaseEvent( QMouseEvent * ptr_mouse )
{
  char mask;
  switch ( ptr_mouse->button() )
    {case LeftButton:
      {mask = button_left;
      break;}
    case MidButton:
      {mask = button_middle;
      break;}
    case RightButton:
      {mask = button_right;
      break;}
    default: 
      mask = 0;}
  ((bicotiActorGraphic*)ptr_actor)->FireMouseReleased( ptr_actor, ptr_mouse->pos().x(), ptr_mouse->pos().y(), mask );
}

bicotiLocalTemplate
void bicotiLocalClass :: MousePress( int x, int y ,char mask )
{
  QPoint local_pos( x, y );
  QPoint global_pos = mapToGlobal( local_pos );
  QCursor :: setPos( global_pos );
  int qt_button;
  
  if ( mask & button_right ) qt_button = RightButton;
  if ( mask & button_middle ) qt_button = MidButton;
  if ( mask & button_left ) qt_button = LeftButton;
  
  QMouseEvent mevent( Event_MouseButtonPress, local_pos, qt_button, 0 );

  mousePressEvent( &mevent );
}

bicotiLocalTemplate
void bicotiLocalClass :: MouseRelease( int x, int y, char mask )
{
  QPoint local_pos( x, y );
  QPoint global_pos = mapToGlobal( local_pos );
  QCursor :: setPos( global_pos );
  int qt_button;
  
  if ( mask & button_right ) qt_button = RightButton;
  if ( mask & button_middle ) qt_button = MidButton;
  if ( mask & button_left ) qt_button = LeftButton;
  
  QMouseEvent mevent( Event_MouseButtonPress, local_pos, qt_button, 0 );

  mouseReleaseEvent( &mevent );
}

