//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################




#ifndef _image_3D_linear_float
#define _image_3D_linear_float



#include <source/image/image_3D_single.hpp>



//**********************DECLARATIONS**************************
class bicotiImage3DLinearFloat : public bicotiImage3DSingle< bicotiImageImplementation3DLinear< float >, float >
{
public:
  bicotiImage3DLinearFloat( unsigned, unsigned, unsigned );
  bicotiImage3DLinearFloat();
  ~bicotiImage3DLinearFloat();

  void BuildImplementation( unsigned, unsigned, unsigned );
};


#endif
