#include <source/interaction/interaction_field.hpp>

//------------------IMPLEMENTATIONS--------------------
//-----------bicotiInteractionSourceField-----
void bicotiInteractionSourceField  :: AddListenerField( bicotiListenerField * ptr_listener )
{
  listener_text.push_back( ptr_listener );
}


void bicotiInteractionSourceField :: RemoveListenerField( bicotiListenerField * ptr_listener )
{
  vector< bicotiListenerField * > :: iterator iter;
  iter = find( listener_text.begin(), listener_text.end(), ptr_listener );
  listener_text.erase( iter );

}


void bicotiInteractionSourceField :: FireFieldChanged( bicotiActor * ptr_act, const char * new_text )
{
  if( CheckText( new_text ) )
    for( int i = 0; i < listener_text.size(); i++ )
      listener_text[ i ]->FieldTextChanged( ptr_act );
} 


void bicotiInteractionSourceField :: FireReturnPressed( bicotiActor * ptr_act )
{
  for( int i = 0; i < listener_text.size(); i++ )
    listener_text[ i ]->FieldReturnPressed( ptr_act );
}
