#include <source/interaction/interaction_mouse_motion.hpp>

//------------------IMPLEMENTATTIONS-------------------
//---------------bicotiEventMouseMotion----------------
bicotiEventMouseMotion :: bicotiEventMouseMotion( int x_in, int y_in )
{
  x = x_in;
  y = y_in;
}
  
int bicotiEventMouseMotion :: GetX() const
{return x;}

int bicotiEventMouseMotion :: GetY() const
{return y;}



//----------bicotiInteractionSourceMouseMotion--------
void bicotiInteractionSourceMouseMotion :: AddListenerMouseMotion( bicotiListenerMouseMotion * ptr_listener )
{
  listener_mouse_motion.push_back( ptr_listener );
  ActivateMouseMotionTracking();
} //Agregar chequeos de bandera

void bicotiInteractionSourceMouseMotion :: RemoveListenerMouseMotion( bicotiListenerMouseMotion * ptr_listener )
{
  vector< bicotiListenerMouseMotion * > :: iterator iter;
  iter = find( listener_mouse_motion.begin(), listener_mouse_motion.end(), ptr_listener );
  listener_mouse_motion.erase( iter );
  
  if( listener_mouse_motion.empty() )
    DeactivateMouseMotionTracking();
}
//Agregar chequeos de bandera

void bicotiInteractionSourceMouseMotion :: FireMouseMoved( bicotiActor * ptr_act, int x_in, int y_in )
{
  bicotiEventMouseMotion event( x_in, y_in );

  for( int i = 0; i < listener_mouse_motion.size(); i++ )
    listener_mouse_motion[i]->MouseMoved( ptr_act, event );
}
