/**********************************************************************
** funciones de io manager para la libjpeg
***********************************************************************/

/*******************************************************************
ADMINISTRADOR DE DESTINO CON SUSPENCION 
********************************************************************/

#ifndef _jpeg_io_mgr
#define _jpeg_io_mgr

#define WORK_BUFFER_SIZE 2048l

extern char work_buffer[WORK_BUFFER_SIZE];
extern long bytes_to_skip;
extern long byte_count;

void dest_buff_init(struct jpeg_compress_struct *cinfo);


boolean dest_buff_empty(struct jpeg_compress_struct *cinfo);


void dest_buff_term(struct jpeg_compress_struct *cinfo);

void jpeg_buff_dest(struct jpeg_compress_struct *cinfo);


/*******************************************************************
ADMINISTRADOR DE FUENTE CON SUSPENCION 
********************************************************************/

void src_buff_init(struct jpeg_decompress_struct *cinfo);


boolean src_buff_fill(struct jpeg_decompress_struct *cinfo);

void src_buff_term(struct jpeg_decompress_struct *cinfo);

void src_buff_skip_data(struct jpeg_decompress_struct *cinfo, long num_bytes);

void jpeg_buff_src(struct jpeg_decompress_struct *cinfo);

#endif
