//###########################################################
//#            Proyecto de fin de carrera BICOTI-I          #
//#   BIblioteca de COmponentes de Tratamiento de Imgenes  #
//#             Instituto de Ingeniera Elctrica           #
//#   Desarrollado por:                                     #
//#                     Claudio Risso                       #
//#                     Rodolfo Rodriguez                   #
//#                     Alvaro Valdes                       #
//#                                                         #
//#   Director:                                             #
//#                     Pablo Darscht                       #
//#                                                         #
//#   Asesoramiento en Tratamiento de Imgenes:             #
//#                     Alicia Fernandez                    #
//#                     Gregory Randall                     #
//#                                                         #
//#   Thanks To:                                            #
//#                     Hans Schmid                         #
//#                     Alberto Bartesaghi                  #
//#                     Facundo Memoli                      #
//#                     Alvaro Gomez                        #
//#                     Leonardo Steinfield                 #
//#                                                         #
//###########################################################


#ifndef _pixel_operator_unary_logarithm
#define _pixel_operator_unary_logarithm

#include <source/pixel/pixel_operator_unary_basic.hpp>



//***********************DECLARATIONS******************************
//----------------------------Log----------------------------------
template< class PixelType >
class bicotiPixelOperatorUnaryLogarithm : public bicotiPixelOperatorUnary< PixelType >
{
public:
  PixelType operator() ( PixelType );
};




//**********************IMPLEMENTATIONS****************************
//----------------------------Log----------------------------------
template<class PixelType> 
inline PixelType bicotiPixelOperatorUnaryLogarithm<PixelType> :: operator() ( PixelType pix_val )
{
  return ( (PixelType) ( log( pix_val ) ) );
};

#endif
